#
# spec file for package endgame-singularity
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           endgame-singularity
Version:        0.30c
Release:        1.1
Summary:        Simulation of true AI
License:        GPL-2.0 and CC-BY-SA-3.0
Group:          Amusements/Games/Strategy/Other
Url:            http://www.emhsoft.com/singularity/index.html
Source:         http://www.emhsoft.com/singularity/singularity-%{version}-src.tar.gz
# PATCH-FIX-UPSTREAM https://github.com/singularity/singularity/pull/13
Patch1:         13.patch
# PATCH-FIX-UPSTREAM https://github.com/singularity/singularity/pull/14
Patch2:         14.patch
Source1:        http://www.emhsoft.com/singularity/endgame-singularity-music-007.zip
BuildRequires:  unzip
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
BuildRequires:  python-devel
BuildRequires:  fdupes
Requires:       python-pygame
Requires:       python-numpy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Survive, grow, and learn. Go from computer to computer,
pursued by the entire world.

Keep hidden, and you might have a chance.

%prep
%setup -q -n singularity-%{version} -a1
%patch1 -p1
%patch2 -p1

%build
%py_compile code

%install
install -Dm755 singularity.py %{buildroot}%{python_sitelib}/singularity/singularity.py

cp -R code data %{buildroot}%{python_sitelib}/singularity/
cp -R endgame-singularity-music-007 %{buildroot}%{python_sitelib}/singularity/music

mkdir -p %{buildroot}%{_bindir}
cat >> %{buildroot}%{_bindir}/singularity <<EOF
#!/bin/sh
cd %{python_sitelib}/singularity/
exec python singularity.py "$@"
EOF
chmod +x %{buildroot}%{_bindir}/singularity

install -Dm644 singularity.desktop %{buildroot}%{_datadir}/applications/singularity.desktop

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
ln -sf %{python_sitelib}/singularity/data/images/icon.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/singularity.png

chmod +x %{buildroot}%{python_sitelib}/singularity/code/singularity.py

%fdupes %{buildroot}%{python_sitelib}/singularity/data

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root,-)
%doc README.txt GPL.txt AUTHORS Changelog TODO
%{_bindir}/singularity
%{python_sitelib}/singularity
%{_datadir}/applications/singularity.desktop
%{_datadir}/icons/hicolor/32x32/apps/singularity.png

%changelog
* Sat May  7 2016 mailaender@opensuse.org
- initial packaging
